General :  K-Meleon Forum
General discussion about K-Meleon. 
new version K-Meleon0.9-original-updated-1.7.8
Posted by: Fred
Date: May 14, 2005 01:24PM

As an update of the original official K-Meleon 0.9 version to
Mozilla 1.7.8 Standard is asked for by many people, I have
uploaded such a version to Rapidshare.
Download at :

http://rapidshare.de/files/1748847/K-Meleon0.9-original-updated-1.7.8.zip.html

Press the "FREE" button at the bottom of the page (javascript enabled).
No install is necessary, just unzip it into a new empty folder, and run
k-meleon.exe .

Fred

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 14, 2005 05:58PM

Well, Fred, it is just a bit before 4 in the morning in Vancouver, and I have just installed your Brand New Original. It is working perfectly.

I have been using an Original 0.9 {1.7.5} as my default K-Meleon, having set up six or ten of them since January 17th. I do like the original very much, so this {1.7.8} will be nice to have alongside it.

I didn't know where to put it in my ...\K-Meleon program files. I finally settled on leaving the downloaded zip under my "Fred" directory, and unzipping it under my "K-Meleon 0.9" [i.e., the original] category, so it sits beside the original Original. :-)

Thanks again. This was a very good idea.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: guenter
Date: May 14, 2005 06:10PM

thx Fred ; greetz

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 14, 2005 06:50PM

Oh oh. This build has the dreaded G-Mail Glitch.

Fred, if you go into G-Mail, and you open a Compose window, I don't think you'll be able to write anything in it.

In his 0.020 PR10 thread, Hao said, "I checked out this bug. It 's related to all the rich text input box. So it's not Gmail specific bug. I will look into it and fix it."

http://kmeleon.sourceforge.net/forum/read.php?f=1&i=26216&t=26216

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Fred
Date: May 15, 2005 01:06AM

@ Carson
Could you verify, if K-Meleon-GRE-1.7.8-modified has the same
glitch when using G-Mail ? The chrome and component folders
contain the same files as 0.9-original-updated, except that I
changed embed_lite.dll, which isn't in GRE anymore, for mork.dll,
which belongs to Mozilla's components.

Regards Fred

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Drahken
Date: May 15, 2005 01:12AM

I don't know if this will help, but I have Hao's minimum edition installed over an installation of the official KM 0.9, and I don't have the gmail glitch.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 01:28AM

There is no problem with your 0.9 {1.7.8} Friday the 13th build, Fred. I checked again just now, just to be sure. The G-Mail Compose box is active in it.

[In fact, that particular build is the best you've ever made, at least in terms of my own personal uses. It is so good that after I tested it, I took off all my other Fred-built K-Ms, because it eclipsed them all. (I only remove builds when one comes along that is so good that I doubt I would use the others any more.)]

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Fred
Date: May 15, 2005 01:43AM

Thank you Carson.
So, as I mentioned , the only difference between the two versions
is, that I used mork.dll in components folder instead of embed_lite.dll,
because mork is in Mozilla, and will be checked by Mozilla developers
also in the future, while embed_lite has been taken out from GRE of
Mozilla 1.7.8 final, although it is very unlikely, that there is a risk
for security, as it only delivers history.txt (which mork.dll also does).
So I think you could replace in the components folder mork.dll, and
use embed_lite.dll from the other version instead. After doing that (browser
closed) you would have to delete compreg.dat and xpti.dat in the
components folder, which are rebuilt when you run k-meleon the next
time. I hope that this helps.

Fred

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 06:35AM

1. Check Fred's "Original" 0.9 {1.7.8} May 14-05 build again to test G-Mail compose window.
2. The Compose window definitely is dead. Nothing can be typed into it, and there is no cursor.
3. In the components folder, erase: mork.dll, compreg.dat and xpti.dat.
4. Copy embed_lite.dll from the January 17-05 K-Meleon 0.9 {1.7.5} into components.
5. Start 0.9 {1.7.8} and again test G-Mail.
6. Results: Still does not work. :-(

Fred, notice # 4. Did you mean me to copy from the original K-M or not?
-- I checked compreg.dat and xpti.dat, and they had regenerated themselves okay, as you said they would.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 06:56AM

I tried the whole procedure a second time. It still doesn't work.

I am typing this using the very K-M build which will NOT type into the G-Mail box. It will type into TO: and SUBJECT: but not into COMPOSE.

This time I looked carefully at the embed_lite.dll. I don't think it matters which build they come from. It appears to be the same file. Same date (Dec 20-04) and size (28 KB), although one was made two hours apart from the other.

Anyway, I tried both. The first time from the January K-M, and this time from your Friday the 13th build.

We are learning what we don't know. ;-)

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 07:12AM

Fred:

1. I copied your complete 0.9 "Original" {1.7.8} and called it Test.
2. In Test, I deleted "components" --the entire file.
3. From the January 17 0.9 {1.7.5} official K-M, I copied "components" into Test.
4. Test WORKS PERFECTLY insofar as typing into G-Mail Compose.

So . . . I think maybe there was another change made inside "components". Is there a possibility you overlooked one more change?

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Fred
Date: May 15, 2005 07:33AM

The only thing left is the file "umb-embed_lite.dll", which is embed_lite
renamed instead of deleted. Delete it, then again delete compreg.dat
and xpti.dat and restart. If this doesn't help, I really don't know what
else to do.

Fred

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 08:08AM

No luck. :-(

I deleted umb-embed_lite.dll, compreg.dat, and xpti.dat.
Then I restarted the browser.

Won't type in Compose window.

Not to worry. Say, it's 6 p.m. here in Vancouver. Doesn't that make it something like 2 or 3 am in Switzerland? How come K-M folk are always up in the middle of the night?

;-) Thanks, Fred. Not to worry. I think Hao has some ideas, too . . . .
(This is an intellectual query only, for me, 'cuz I like using your Friday the 13th Build. However, I'd also use an "Original" {1.7.8} alongside my Original {1.7.5}.)

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 08:13AM

I think I have an idea. Back in 15-20 minutes. :-)

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 08:48AM

I think I'm closing in on the culprit file.

1. When "components" is traded, G-Mail Compose does or does not work.
2. G-Mail Glitch is in Hao's 020 pr10 and Fred's Original 178.
3. G-Mail Glitch is not in K-M Original 175.

I copied the entire "components" files from each of the three K-Ms in (2) and (3).
I renamed these components files so I could recognize them.
I placed all three in a folder I made for the purpose.

Then I ran that single folder in DoubleKiller.

Files that were identical in all three builds showed up as triples in DoubleKiller. These were most files in "components." I deleted all the triple matches from DoubleKiller's results.

That leaves me with 9 files that showed up as doubles but not triples. They are

caps.xpt - Fred + Hao builds
accessibility-msaa.xpt - Fred + Original builds
docshell_base.xpt - Fred + Hao builds
xpconnect.xpt - Fred + Hao builds
accessibility.xpt - Fred + Original builds
p3p.xpt - Fred + Original builds
larput_xul_tree.xpt - Fred + Original builds
cookie.xpt = Hao + Original builds
pippki.xpt - Hao + Original builds

But we know the Original (K-M 0.9 {1.7.5}) build shows G-Mail Compose. Therefore any combination including Original cannot be suspect.

Now we have only 3 combinations left. They are the files that are used by both Fred and Hao (which don't show G-Mail Compose) but not by Original:

caps.xpt
docshell_base.xpt
xpconnect.xpt

Now I have to return to the workbench and test those three possibilities. :-)

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 09:03AM

The suspense is killing me . . . . ;-)

Okay, one down and two to go. I have made a duplicate of Original 1.7.5 except I have change caps.xpt in "components" for the caps file in Fred's 1.7.8. G-Mail Compose still works. I still have the other two files to try. I'm hoping G-Mail Compose will stop working when I substitute one of them.

If not, I'll have to turn my method around and work on 1.7.8 instead of 1.7.5. Instead of trying to cripple 1.7.5, which works okay, I'll have to switch to trying to enable 1.7.8, which doesn't work okay. Back to it . . . .

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 09:22AM

Something is not quite right. My test seemed to test itself to nada, but I wanted to make one more try with the good Original, now equipped with "components" that included all 3 suspect files. This time I just got a blank face on my browser, although the toolbars were okay. Tried several times; could not browse.

So I changed "components" back to the original (good) components file, and everything was okay again. I may have screwed up my test components folder. I'll try to check that out. Then I'll trade those 3 files for their equivalents in 1.7.8, and see if that produces some results.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 10:00AM

Okay, I can blame it on either a few light distractions around my workplace, or, more likely, my brain RAM experiencing stack overload and crashing on me.

Twice I've followed the logic for some distance, but I haven't tied the knot tight around the problem yet.

I've moved over to Testing on 1.7.8. Instead of attempting to impair 1.7.5, I'm trying to fix 1.7.8 for the G-Mail glitch. What I have already demonstrated is that, if the entire components folder is borrowed from 1.7.5, then 1.7.8 will work okay for G-Mail.

Just now I also ran a "remove identicals" in components, using DoubleKiller with just Fred's 1.7.8 "new original" and the "original original" 1.7.5 from January.

But that left a great many files behind in each which were not identified as being exactly the same. There were too many to work with. I think I was further along the track when I did triples earlier (Hao, Fred, and Original files).

This is dizzying work. I'll make another try at changing all 3, but only those 3, of the suspect files identified earlier. Instead of changing them in 175, I'll change them in 178.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: rob
Date: May 15, 2005 10:37AM

Fred.
I was playing with yours 1.7.8(as usual stripping it down).
When I tried to take out embed_lite.dll, and noticed you are using Haos km.exe, which is linked to it. When I replaced it with standard .exe, everything is fine.
Probably this is driving Carson crazy.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Fred
Date: May 15, 2005 10:55AM

rob,
which version did you use ?
was it 1) K-Meleon0.9-original-updated-1.7.8
or 2) K-Meleon-0.9-GRE1.7.8-modified
or 3) K-MeleonCCFminimum-1.7.8-Modified

because 1) and 2) use the original kmeleon.exe from 0.9 ,
while 3) uses the the original kmeleon.exe from 0.9 made smaller by upx.
Carson has problems with 1) in gmail in the Compose textbox.

Fred

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 11:08AM

Well, yes, I am now certified crazy. :-) My brain is totally tangled up!

I wuz putting up too many posts, so I left out some steps. Here is where I am now, and will likely leave it for tonight:

In Fred's "new original" 1.7.8:
-- I replaced all 3 of the files that I was so convinced at first must be implicated:
caps,xpt
docshell_base.xpt
xpconnect.xpt

-- Still no GMail Compose.

So IN ADDITION to that I (again) took out embed_lite.dll.
-- Still no good.

So IN ADDITION to that I (again) deleted compreg.dat + xpti.dat.
-- Still no good.

So IN ADDITION to that, noticing I was still in need of embed_lite.dll, I went to the good "original original" 1.7.5 and copied/pasted it in.
-- Still no good.

That list is cumulative, and it applies to 1.7.8. Every time I changed anything, I tested G-Mail Compose. No Go. However, I know that if I trade the entire Components folder, wholesale, that the G-Mail Compose WILL work.

I think my tests suffered from a lot of leaky logic tonight.
Oh well. :-)

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Fred
Date: May 15, 2005 11:17AM

Carson,
I am sorry, that I caused problems for you. I don't have a gmail account
and so I cannot verify them. If K-Meleon-0.9-GRE1.7.8-modified
works for you, try to use that version. The problem seems to appear
only in special textboxes, normal textboxes seem to work ok.

All the best Fred

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: rob
Date: May 15, 2005 11:42AM

Fred.
I think it was K-MeleonCCFminimum-1.7.8-Modified.
But you can easy test it, by trying to remove embed_lite.dll.
If km gives you error message, exe is linked to dll.

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Carson
Date: May 15, 2005 11:52AM

I'm okay, actually. I have my new Friday the 13th build, Fred, which is a really nice one. I was doing this partly to teach myself how. Also I think your idea was a good one--a K-Meleon basic build, as in our mid-January "official" K-M, but with GRE 1.7.8.

I still think it is worth pursuing to make that available. And Hao is also looking at the problem.

Rob, if you are on to the same problem--it sounds like you are--it would be a real triumph if your strategy works in Fred's "Original."

If anyone needs a G-mail address to experiment with, just send me a note and I'll reply with an invite. My address is gcarson. After the at, it's gmail dot com. :-)

Options: ReplyQuote
Re: new version K-Meleon0.9-original-updated-1.7.8
Posted by: Midas
Date: May 16, 2005 07:39PM

Just a quick shoulder slap to Carson for all the detective work. It might not have worked, but your logic is sound. It is just that sometimes computers and filesystems won't yield to logic...

Options: ReplyQuote


K-Meleon forum is powered by Phorum.